// naumann@stce.rwth-aachen.de

#pragma once

#include "data.hpp"
#include "model.hpp"

/**
 * The linear model.
 */
template<typename T>
struct linear_model : public model<T> {
  using model<T>::p;
  linear_model(const data<T>&, char*);
  T evaluate(T) const;
};

#include "linear_model.cpp"

